
Infrastructure - Bug #2269

Metacat Replication fails on OBJECT_FORMAT_LIST

2012-01-30 19:51 - Robert Waltz

Status: Closed Start date: 2012-01-30

Priority: High Due date:  

Assignee: Ben Leinfelder % Done: 100%

Category: Metacat Estimated time: 0.00 hour

Target version: Sprint-2012.05-Block.1.3   

Milestone: CCI-1.0.0 Story Points:  

Product Version: *   

Description

Replication fails when attempting to replicate OBJECT_FORMAT_LIST. 

The error is:

knb 2012-01-30T07:35:06: [ERROR]: ReplicationHandler.handleSingleXMLDocument - F

ailed to write doc OBJECT_FORMAT_LIST.1.1 into db because No guid registered for

docid OBJECT_FORMAT_LIST.1.1

Attached is the replicate.log from cn-dev-3.

History

#1 - 2012-01-31 18:09 - Dave Vieglais

- Target version changed from Sprint-2012.03-Block.1.2 to Sprint-2012.05-Block.1.3

- Position set to 33

#2 - 2012-01-31 18:17 - Chris Jones

- Assignee changed from Ben Leinfelder to Chris Jones

#3 - 2012-02-01 17:45 - Ben Leinfelder

- Status changed from New to Closed

- Assignee changed from Chris Jones to Ben Leinfelder

updated Metacat (r6968) to process systemMetadata before writing replication to table. Should resolve this error. 

Files

replicate.log 23.3 KB 2012-01-30 Robert Waltz
